"use strict";
exports.__esModule = true;
var react_native_1 = require("react-native");
var injectTheme = function (_a) {
    var colors = _a.colors, radiuses = _a.radiuses, spacing = _a.spacing;
    return react_native_1.StyleSheet.create({
        container: {
            alignItems: 'center'
        },
        iconContainerBase: {
            alignItems: 'center',
            borderRadius: radiuses.rounded,
            height: 50,
            justifyContent: 'center',
            padding: spacing.tiny,
            width: 50
        },
        iconContainerColorBlack: {
            backgroundColor: colors.black
        },
        iconContainerColorDanger: {
            backgroundColor: colors.danger
        },
        iconContainerColorDark: {
            backgroundColor: colors.dark
        },
        iconContainerColorDisabled: {
            backgroundColor: colors.disabled
        },
        iconContainerColorFacebook: {
            backgroundColor: colors.facebook
        },
        iconContainerColorGoogle: {
            backgroundColor: colors.google
        },
        iconContainerColorInfo: {
            backgroundColor: colors.info
        },
        iconContainerColorLight: {
            backgroundColor: colors.light
        },
        iconContainerColorPrimary: {
            backgroundColor: colors.primary
        },
        iconContainerColorSuccess: {
            backgroundColor: colors.success
        },
        iconContainerColorTwitter: {
            backgroundColor: colors.twitter
        },
        iconContainerColorWarning: {
            backgroundColor: colors.warning
        },
        iconContainerColorWhite: {
            backgroundColor: colors.white
        }
    });
};
exports["default"] = injectTheme;
//# sourceMappingURL=styles.js.map