import * as React from 'react';
import { ViewProps as RNViewProps } from 'react-native';
export interface Props {
    /**
     * A safe area inset on the bottom.
     */
    bottomInset: number;
    children?: React.ReactNode;
    /**
     * React Native's View props.
     */
    rnViewProps?: Partial<RNViewProps>;
}
declare const AdjustableContainer: React.FunctionComponent<Props>;
export default AdjustableContainer;
