"use strict";
exports.__esModule = true;
var react_native_1 = require("react-native");
var injectTheme = function (_a) {
    var colors = _a.colors, radiuses = _a.radiuses, spacing = _a.spacing;
    return react_native_1.StyleSheet.create({
        containerBase: {
            alignItems: 'center',
            borderRadius: radiuses.large,
            flexDirection: 'row',
            justifyContent: 'center',
            paddingHorizontal: spacing.large,
            paddingVertical: spacing.medium
        },
        containerColorBlack: {
            backgroundColor: colors.black
        },
        containerColorDanger: {
            backgroundColor: colors.danger
        },
        containerColorDark: {
            backgroundColor: colors.dark
        },
        containerColorDisabled: {
            backgroundColor: colors.disabled
        },
        containerColorFacebook: {
            backgroundColor: colors.facebook
        },
        containerColorGoogle: {
            backgroundColor: colors.google
        },
        containerColorInfo: {
            backgroundColor: colors.info
        },
        containerColorLight: {
            backgroundColor: colors.light
        },
        containerColorPrimary: {
            backgroundColor: colors.primary
        },
        containerColorSuccess: {
            backgroundColor: colors.success
        },
        containerColorTwitter: {
            backgroundColor: colors.twitter
        },
        containerColorWarning: {
            backgroundColor: colors.warning
        },
        containerColorWhite: {
            backgroundColor: colors.white
        },
        icon: {
            color: colors.white
        },
        iconContainer: {
            marginRight: spacing.small
        }
    });
};
exports["default"] = injectTheme;
//# sourceMappingURL=styles.js.map