import * as React from 'react';
import { Props as IconProps } from '../Icon';
export interface Props {
    /**
     * A hidden content.
     */
    content: string;
    /**
     * Icon props.
     */
    iconProps?: Partial<IconProps>;
    /**
     * A visible title.
     */
    title: string;
}
declare const Collapsible: React.FunctionComponent<Props>;
export default Collapsible;
