"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var theme_1 = require("../../theme");
var styles_1 = __importDefault(require("./styles"));
var Padding = function (props) {
    var _a = props.bottom, bottom = _a === void 0 ? true : _a, children = props.children, _b = props.left, left = _b === void 0 ? true : _b, _c = props.right, right = _c === void 0 ? true : _c, rnViewProps = props.rnViewProps, _d = props.size, size = _d === void 0 ? 'large' : _d, _e = props.top, top = _e === void 0 ? true : _e;
    var styles = theme_1.useStyles(styles_1["default"]);
    var mergedStyles = React.useMemo(function () {
        var result = [styles.base, styles[size]];
        if (!top) {
            result.push(styles.notTop);
        }
        if (!right) {
            result.push(styles.notRight);
        }
        if (!bottom) {
            result.push(styles.notBottom);
        }
        if (!left) {
            result.push(styles.notLeft);
        }
        return result;
    }, [bottom, left, right, size, top, styles]);
    return (React.createElement(react_native_1.View, __assign({ style: mergedStyles }, rnViewProps), children));
};
exports["default"] = Padding;
//# sourceMappingURL=index.js.map