import * as React from 'react';
import { Props as IconProps } from '../Icon';
export interface Props {
    /**
     * Icon props of the empty icons.
     */
    emptyIconProps?: Partial<IconProps>;
    /**
     * Icon props of the full icons.
     */
    fullIconProps?: Partial<IconProps>;
    /**
     * Icon props of the half icon.
     */
    halfIconProps?: Partial<IconProps>;
    /**
     * Icon props of all icons.
     */
    iconProps?: Partial<IconProps>;
    /**
     * A value of the rating between 0 and 5. The default value is `5`.
     */
    value: number;
}
declare const Rating: React.FunctionComponent<Props>;
export default Rating;
