"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var theme_1 = require("../../theme");
var Icon_1 = __importDefault(require("../Icon"));
var RowContainer_1 = __importDefault(require("../RowContainer"));
var styles_1 = __importDefault(require("./styles"));
var Rating = function (props) {
    var emptyIconProps = props.emptyIconProps, fullIconProps = props.fullIconProps, halfIconProps = props.halfIconProps, iconProps = props.iconProps, _a = props.value, value = _a === void 0 ? 5 : _a;
    var styles = theme_1.useStyles(styles_1["default"]);
    var renderEmptyIcons = function () {
        var nearestHalf = Math.round(value * 2) / 2;
        var activeCount = nearestHalf % 1 === 0 && nearestHalf > value ? Math.ceil(value) : Math.floor(value);
        var halfShouldShow = nearestHalf % 1 > 0;
        var count = 5 - activeCount - (halfShouldShow ? 1 : 0);
        var icons = [];
        for (var i = 0; i < count; i += 1) {
            icons.push(React.createElement(Icon_1["default"], __assign({ key: "emptyIcon_" + i, color: styles.emptyIcon.color, name: "star" }, iconProps, emptyIconProps)));
        }
        return icons;
    };
    var renderFullIcons = function () {
        var nearestHalf = Math.round(value * 2) / 2;
        var count = nearestHalf % 1 === 0 && nearestHalf > value ? Math.ceil(value) : Math.floor(value);
        var icons = [];
        for (var i = 0; i < count; i += 1) {
            icons.push(React.createElement(Icon_1["default"], __assign({ key: "fullIcon_" + i, color: styles.icon.color, name: "star" }, iconProps, fullIconProps)));
        }
        return icons;
    };
    var renderHalfIcon = function () {
        var nearestHalf = Math.round(value * 2) / 2;
        var shouldShow = nearestHalf % 1 > 0;
        if (!shouldShow) {
            return null;
        }
        return (React.createElement(Icon_1["default"], __assign({ color: styles.icon.color, name: "star-half" }, iconProps, halfIconProps)));
    };
    return (React.createElement(RowContainer_1["default"], null,
        renderFullIcons(),
        renderHalfIcon(),
        renderEmptyIcons()));
};
exports["default"] = Rating;
//# sourceMappingURL=index.js.map