import { TextStyle } from 'react-native';
import { Theme } from '../../theme';
export interface Styles {
    alignCenter: TextStyle;
    alignJustify: TextStyle;
    alignLeft: TextStyle;
    alignRight: TextStyle;
    base: TextStyle;
    colorBlack: TextStyle;
    colorDanger: TextStyle;
    colorDisabled: TextStyle;
    colorInfo: TextStyle;
    colorLight: TextStyle;
    colorMuted: TextStyle;
    colorPrimary: TextStyle;
    colorSuccess: TextStyle;
    colorWarning: TextStyle;
    colorWhite: TextStyle;
    sizeHuge: TextStyle;
    sizeLarge: TextStyle;
    sizeMedium: TextStyle;
    sizeSmall: TextStyle;
    sizeTiny: TextStyle;
    styleItalic: TextStyle;
    styleNormal: TextStyle;
    weightBold: TextStyle;
    weightMedium: TextStyle;
}
declare const injectTheme: ({ colors, typography }: Theme) => Styles;
export default injectTheme;
