"use strict";
exports.__esModule = true;
var react_native_1 = require("react-native");
var injectTheme = function (_a) {
    var colors = _a.colors, typography = _a.typography;
    return react_native_1.StyleSheet.create({
        alignCenter: {
            textAlign: 'center'
        },
        alignJustify: {
            textAlign: 'justify'
        },
        alignLeft: {
            textAlign: 'left'
        },
        alignRight: {
            textAlign: 'right'
        },
        base: {
            textAlignVertical: 'center'
        },
        colorBlack: {
            color: colors.black
        },
        colorDanger: {
            color: colors.danger
        },
        colorDisabled: {
            color: colors.disabled
        },
        colorInfo: {
            color: colors.info
        },
        colorLight: {
            color: colors.light
        },
        colorMuted: {
            color: colors.muted
        },
        colorPrimary: {
            color: colors.primary
        },
        colorSuccess: {
            color: colors.success
        },
        colorWarning: {
            color: colors.warning
        },
        colorWhite: {
            color: colors.white
        },
        sizeHuge: {
            fontSize: typography.fontSizes.huge,
            lineHeight: typography.lineHeights.huge
        },
        sizeLarge: {
            fontSize: typography.fontSizes.large,
            lineHeight: typography.lineHeights.large
        },
        sizeMedium: {
            fontSize: typography.fontSizes.medium,
            lineHeight: typography.lineHeights.medium
        },
        sizeSmall: {
            fontSize: typography.fontSizes.small,
            lineHeight: typography.lineHeights.small
        },
        sizeTiny: {
            fontSize: typography.fontSizes.tiny,
            lineHeight: typography.lineHeights.tiny
        },
        styleItalic: {
            fontStyle: 'italic'
        },
        styleNormal: {
            fontStyle: 'normal',
            fontWeight: 'normal'
        },
        weightBold: {
            fontFamily: typography.fontFamilies.bold,
            fontWeight: 'bold'
        },
        weightMedium: {
            fontFamily: typography.fontFamilies.medium,
            fontWeight: '600'
        }
    });
};
exports["default"] = injectTheme;
//# sourceMappingURL=styles.js.map