"use strict";
exports.__esModule = true;
var react_native_1 = require("react-native");
var injectTheme = function (_a) {
    var colors = _a.colors, radiuses = _a.radiuses, spacing = _a.spacing, typography = _a.typography;
    return react_native_1.StyleSheet.create({
        textInput: {
            backgroundColor: colors.light,
            borderColor: colors.disabled,
            borderRadius: radiuses.large,
            borderWidth: 1,
            color: colors.dark,
            fontFamily: typography.fontFamilies.medium,
            fontSize: typography.fontSizes.medium,
            paddingHorizontal: spacing.medium,
            paddingVertical: spacing.small
        },
        textInputDisabled: {
            color: colors.disabled
        },
        textInputFocused: {
            borderColor: colors.primary
        },
        textInputWithError: {
            borderColor: colors.danger
        }
    });
};
exports["default"] = injectTheme;
//# sourceMappingURL=styles.js.map