import { Colors } from './colors';
import { LinearGradients } from './linearGradients';
import { Radiuses } from './radiuses';
import { Spacing } from './spacing';
import { Typography } from './typography';
export interface Theme {
    colors: Colors;
    linearGradients: LinearGradients;
    radiuses: Radiuses;
    spacing: Spacing;
    typography: Typography;
}
declare const defaultTheme: {
    colors: Colors;
    linearGradients: LinearGradients;
    radiuses: Radiuses;
    spacing: Spacing;
    typography: Typography;
};
export default defaultTheme;
