"use strict";
/* eslint-disable sort-keys, typescript-sort-keys/interface */
exports.__esModule = true;
var react_native_1 = require("react-native");
var typography = {
    alignment: {
        caption: 'left',
        heading: 'center',
        subheading: 'center',
        text: 'left'
    },
    fontFamilies: {
        bold: react_native_1.Platform.select({
            android: 'Roboto',
            "default": 'Roboto',
            ios: 'System'
        }),
        medium: react_native_1.Platform.select({
            android: 'Roboto',
            "default": 'Roboto',
            ios: 'System'
        })
    },
    fontSizes: {
        tiny: 10,
        small: 12,
        medium: 14,
        large: 16,
        huge: 18
    },
    lineHeights: {
        tiny: 18,
        small: 20,
        medium: 22,
        large: 24,
        huge: 26
    }
};
exports["default"] = typography;
//# sourceMappingURL=typography.js.map