import { TextStyle, ViewStyle } from 'react-native';
import { Theme } from '../../theme';
export interface Styles {
    containerBase: ViewStyle;
    containerColorBlack: ViewStyle;
    containerColorDanger: ViewStyle;
    containerColorDark: ViewStyle;
    containerColorDisabled: ViewStyle;
    containerColorFacebook: ViewStyle;
    containerColorGoogle: ViewStyle;
    containerColorInfo: ViewStyle;
    containerColorLight: ViewStyle;
    containerColorPrimary: ViewStyle;
    containerColorSuccess: ViewStyle;
    containerColorTwitter: ViewStyle;
    containerColorWarning: ViewStyle;
    containerColorWhite: ViewStyle;
    icon: TextStyle;
    iconContainer: ViewStyle;
}
declare const injectTheme: ({ colors, radiuses, spacing }: Theme) => Styles;
export default injectTheme;
