import * as React from 'react';
import { Props as IconProps } from '../Icon';
export interface Props {
    children?: React.ReactNode | string;
    /**
     * Icon props.
     */
    iconProps?: Partial<IconProps>;
    /**
     * A state of the checkbox.
     */
    isChecked?: boolean;
    /**
     * A callback called when the checkbox is pressed.
     */
    onChange: (isChecked: boolean) => void;
}
declare const Checkbox: React.FunctionComponent<Props>;
export default Checkbox;
