"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var theme_1 = require("../../theme");
var Icon_1 = __importDefault(require("../Icon"));
var RowContainer_1 = __importDefault(require("../RowContainer"));
var styles_1 = __importDefault(require("./styles"));
var Checkbox = function (props) {
    var children = props.children, iconProps = props.iconProps, isChecked = props.isChecked, onChange = props.onChange;
    var styles = theme_1.useStyles(styles_1["default"]);
    var colors = theme_1.useTheme().colors;
    var handlePress = React.useCallback(function () {
        onChange(!isChecked);
    }, [isChecked, onChange]);
    return (React.createElement(react_native_1.TouchableWithoutFeedback, { onPress: handlePress },
        React.createElement(react_native_1.View, null,
            React.createElement(RowContainer_1["default"], { align: "top" },
                React.createElement(react_native_1.View, { style: styles.iconContainer },
                    React.createElement(Icon_1["default"], __assign({ color: isChecked ? colors.success : colors.muted, iconSet: "MaterialCommunityIcons", name: isChecked ? 'checkbox-marked' : 'checkbox-blank' }, iconProps))),
                React.createElement(react_native_1.View, { style: styles.contentContainer }, children)))));
};
exports["default"] = Checkbox;
//# sourceMappingURL=index.js.map