"use strict";
exports.__esModule = true;
var vector_icons_1 = require("@expo/vector-icons");
var getIconComponent = function (iconSet) {
    switch (iconSet) {
        case 'AntDesign':
            return vector_icons_1.AntDesign;
        case 'Entypo':
            return vector_icons_1.Entypo;
        case 'EvilIcons':
            return vector_icons_1.EvilIcons;
        case 'Feather':
            return vector_icons_1.Feather;
        case 'FontAwesome':
            return vector_icons_1.FontAwesome;
        case 'Fontisto':
            return vector_icons_1.Fontisto;
        case 'Foundation':
            return vector_icons_1.Foundation;
        case 'Ionicons':
            return vector_icons_1.Ionicons;
        case 'MaterialCommunityIcons':
            return vector_icons_1.MaterialCommunityIcons;
        case 'MaterialIcons':
            return vector_icons_1.MaterialIcons;
        case 'Octicons':
            return vector_icons_1.Octicons;
        case 'SimpleLineIcons':
            return vector_icons_1.SimpleLineIcons;
        case 'Zocial':
            return vector_icons_1.Zocial;
        default:
            return vector_icons_1.MaterialIcons;
    }
};
exports["default"] = getIconComponent;
//# sourceMappingURL=getIconComponent.expo.js.map