"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var AntDesign_1 = __importDefault(require("react-native-vector-icons/AntDesign"));
var Entypo_1 = __importDefault(require("react-native-vector-icons/Entypo"));
var EvilIcons_1 = __importDefault(require("react-native-vector-icons/EvilIcons"));
var Feather_1 = __importDefault(require("react-native-vector-icons/Feather"));
var FontAwesome_1 = __importDefault(require("react-native-vector-icons/FontAwesome"));
var Fontisto_1 = __importDefault(require("react-native-vector-icons/Fontisto"));
var Foundation_1 = __importDefault(require("react-native-vector-icons/Foundation"));
var Ionicons_1 = __importDefault(require("react-native-vector-icons/Ionicons"));
var MaterialCommunityIcons_1 = __importDefault(require("react-native-vector-icons/MaterialCommunityIcons"));
var MaterialIcons_1 = __importDefault(require("react-native-vector-icons/MaterialIcons"));
var Octicons_1 = __importDefault(require("react-native-vector-icons/Octicons"));
var SimpleLineIcons_1 = __importDefault(require("react-native-vector-icons/SimpleLineIcons"));
var Zocial_1 = __importDefault(require("react-native-vector-icons/Zocial"));
var getIconComponent = function (iconSet) {
    switch (iconSet) {
        case 'AntDesign':
            return AntDesign_1["default"];
        case 'Entypo':
            return Entypo_1["default"];
        case 'EvilIcons':
            return EvilIcons_1["default"];
        case 'Feather':
            return Feather_1["default"];
        case 'FontAwesome':
            return FontAwesome_1["default"];
        case 'Fontisto':
            return Fontisto_1["default"];
        case 'Foundation':
            return Foundation_1["default"];
        case 'Ionicons':
            return Ionicons_1["default"];
        case 'MaterialCommunityIcons':
            return MaterialCommunityIcons_1["default"];
        case 'MaterialIcons':
            return MaterialIcons_1["default"];
        case 'Octicons':
            return Octicons_1["default"];
        case 'SimpleLineIcons':
            return SimpleLineIcons_1["default"];
        case 'Zocial':
            return Zocial_1["default"];
        default:
            return MaterialIcons_1["default"];
    }
};
exports["default"] = getIconComponent;
//# sourceMappingURL=getIconComponent.js.map