import * as React from 'react';
import { Props as TextProps } from '../Text';
export interface Props {
    children?: React.ReactNode;
    /**
     * A color of the label. The default value is `success`.
     */
    color?: 'black' | 'dark' | 'danger' | 'disabled' | 'info' | 'light' | 'muted' | 'primary' | 'success' | 'warning' | 'white';
    /**
     * Text props.
     */
    textProps?: Partial<TextProps>;
}
declare const Label: React.FunctionComponent<Props>;
export default Label;
