"use strict";
exports.__esModule = true;
var react_native_1 = require("react-native");
var injectTheme = function (_a) {
    var colors = _a.colors, radiuses = _a.radiuses, spacing = _a.spacing;
    return react_native_1.StyleSheet.create({
        containerBase: {
            backgroundColor: colors.success,
            borderRadius: radiuses.tiny,
            paddingHorizontal: spacing.tiny
        },
        containerColorBlack: {
            backgroundColor: colors.black
        },
        containerColorDanger: {
            backgroundColor: colors.danger
        },
        containerColorDark: {
            backgroundColor: colors.dark
        },
        containerColorDisabled: {
            backgroundColor: colors.disabled
        },
        containerColorInfo: {
            backgroundColor: colors.info
        },
        containerColorLight: {
            backgroundColor: colors.light
        },
        containerColorMuted: {
            backgroundColor: colors.muted
        },
        containerColorPrimary: {
            backgroundColor: colors.primary
        },
        containerColorSuccess: {
            backgroundColor: colors.success
        },
        containerColorWarning: {
            backgroundColor: colors.warning
        },
        containerColorWhite: {
            backgroundColor: colors.white
        }
    });
};
exports["default"] = injectTheme;
//# sourceMappingURL=styles.js.map