"use strict";
exports.__esModule = true;
var react_native_1 = require("react-native");
var injectTheme = function (_a) {
    var colors = _a.colors, radiuses = _a.radiuses;
    return react_native_1.StyleSheet.create({
        container: {
            backgroundColor: colors.white,
            borderRadius: radiuses.large,
            elevation: 3,
            shadowColor: colors.black,
            shadowOffset: {
                height: 1,
                width: 0
            },
            shadowOpacity: 0.12,
            shadowRadius: 10,
            // we need to have zIndex on iOS, otherwise the shadow is under components that
            // are rendered later
            zIndex: 1
        }
    });
};
exports["default"] = injectTheme;
//# sourceMappingURL=styles.js.map