"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var theme_1 = require("../../theme");
var utils_1 = require("../../utils");
var styles_1 = __importDefault(require("./styles"));
var Text = function (props) {
    var typography = theme_1.useTheme().typography;
    var _a = props.align, align = _a === void 0 ? typography.alignment.text || 'left' : _a, children = props.children, _b = props.color, color = _b === void 0 ? 'dark' : _b, onPress = props.onPress, rnTextProps = props.rnTextProps, _c = props.size, size = _c === void 0 ? 'medium' : _c, _d = props.style, style = _d === void 0 ? 'normal' : _d, _e = props.weight, weight = _e === void 0 ? 'medium' : _e;
    var styles = theme_1.useStyles(styles_1["default"]);
    var mergedStyles = React.useMemo(function () { return [
        styles.base,
        styles["align" + utils_1.capitalize(align)],
        styles["color" + utils_1.capitalize(color)],
        styles["size" + utils_1.capitalize(size)],
        styles["style" + utils_1.capitalize(style)],
        styles["weight" + utils_1.capitalize(weight)],
    ]; }, [align, color, size, style, styles, weight]);
    return (React.createElement(react_native_1.Text, __assign({ onPress: onPress, style: mergedStyles, suppressHighlighting: true }, rnTextProps), children));
};
exports["default"] = Text;
//# sourceMappingURL=index.js.map