"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var colors_1 = __importDefault(require("./colors"));
var linearGradients_1 = __importDefault(require("./linearGradients"));
var radiuses_1 = __importDefault(require("./radiuses"));
var spacing_1 = __importDefault(require("./spacing"));
var typography_1 = __importDefault(require("./typography"));
var defaultTheme = {
    colors: colors_1["default"],
    linearGradients: linearGradients_1["default"],
    radiuses: radiuses_1["default"],
    spacing: spacing_1["default"],
    typography: typography_1["default"]
};
exports["default"] = defaultTheme;
//# sourceMappingURL=defaultTheme.js.map