declare type Alignment = 'center' | 'justify' | 'left' | 'right';
export interface Typography {
    alignment: {
        caption: Alignment;
        heading: Alignment;
        subheading: Alignment;
        text: Alignment;
    };
    fontFamilies: {
        bold: string;
        medium: string;
    };
    fontSizes: {
        tiny: number;
        small: number;
        medium: number;
        large: number;
        huge: number;
    };
    lineHeights: {
        tiny: number;
        small: number;
        medium: number;
        large: number;
        huge: number;
    };
}
declare const typography: Typography;
export default typography;
